---
current_realm_name: "{{ argocd_oidc_realm }}"

current_realm_clients:
  - name: "{{ argocd_oidc_client_id }}"
    base_url: "/applications"
    clientId: "{{ argocd_oidc_client_id }}"
    admin_url: "{{ shared_service_kube_url_argocd }}/"
    root_url: "{{ shared_service_kube_url_argocd }}/"
    redirect_uris:
      - "{{ shared_service_kube_url_argocd }}/auth/callback"
    secret: "{{ argocd_oidc_client_secret }}"
    web_origins:
      - "{{ shared_service_kube_url_argocd }}/"
    default_client_scopes: "{{ keycloak_default_client_scopes + ['groups'] }}"

current_realm_users:
  - username: "{{ argocd_oidc_admin_username }}"
    password: "{{ argocd_oidc_admin_password }}"
    email: "{{ argocd_oidc_admin_email }}"
    firstName: "Netgo"
    lastName: "Administrator"
    requiredActions: []

current_realm_admin_users:
  - username: "argocd-realm-admin"
    password: "{{ infrastructure_realm_admin_password_vault }}"
    email: "{{ argocd_oidc_admin_email }}"
    firstName: "Netgo"
    lastName: "Administrator"
    requiredActions: []

current_realm_groups:
  - name: "admin"
  - name: "argocd-admin" # not working yet

current_user_groupmembership:
  - username: "argocd-admin"
    destination_group: "admin"
  - username: "argocd-admin"
    destination_group: "argocd-admin"

current_realm_clientscopes:
  - name: "groups"
    realm_name: "{{ argocd_oidc_realm }}"
    protocol: "openid-connect"

keycloak_force_prune: true
